Description: Do not compare a pointer value to null, rather just check for inequality
Author: Nilesh Patra <nilesh@debian.org>
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=984059
Last-Update: 2022-03-14
--- a/transferRGBBox.cxx
+++ b/transferRGBBox.cxx
@@ -128,7 +128,7 @@
 		startX[i] = 0.0;
 		startY[i] = y0[i];
 	    }
-	    if (y1 > 0) {
+	    if (y1 != 0) {
 		endX[i] = 1.0;
 		endY[i] = y1[i];
 	    } else {
@@ -180,7 +180,7 @@
 		startX[i] = mininval;
 		startY[i] = (int)(y0[i] * maxoutval);
 	    }
-	    if (y1 > 0) {
+	    if (y1 != 0) {
 		endX[i] = maxinval;
 		endY[i] = (int)(y1[i] * maxoutval);
 	    } else {
